// __multiversion__
// This signals the loading code to prepend either #version 100 or #version 300 es as apropriate.

#include "vertexVersionSimple.h"

#include "uniformWorldConstants.h"
#include "uniformPerFrameConstants.h"
#include "uniformShaderConstants.h"

attribute mediump vec4 POSITION;
attribute vec4 COLOR;

varying vec4 color;
varying vec4 cc;
varying highp vec3 p;

const float fogNear = 999999999999999.9;

void main()
{
    vec4 pos = POSITION;
    p = POSITION.xyz;
    //pos.y -= smoothstep(0.0,1.0,length(POSITION.xz)/3.5);
    pos.y -= smoothstep(0.1,0.2,clamp(length(POSITION.xyz),0.17,1.0))*0.32-0.238;
    gl_Position = WORLDVIEWPROJ * pos;
    cc = CURRENT_COLOR;
    color = COLOR; 
}